Page MenuHomeFreeBSD

New port: graphics/drawpile: Collaborative drawing program
ClosedPublic

Authored by yuri on Dec 7 2017, 6:20 AM.

Details

Summary

Collaborative drawing program

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Dec 7 2017, 6:20 AM
tcberner added inline comments.Dec 7 2017, 11:28 AM
graphics/drawpile/Makefile
22 ↗(On Diff #36332)

^ nope :)

yuri updated this revision to Diff 36343.Dec 7 2017, 4:30 PM
yuri marked an inline comment as done.

.

tcberner added inline comments.Dec 7 2017, 5:18 PM
graphics/drawpile/pkg-plist
14 ↗(On Diff #36343)

^ are these drawpile/drawpile paths correct?

tcberner added inline comments.Dec 7 2017, 5:22 PM
graphics/drawpile/Makefile
37 ↗(On Diff #36343)

^ you should not have to manually compress man pages

yuri marked 2 inline comments as done.Dec 7 2017, 5:28 PM
yuri added inline comments.
graphics/drawpile/Makefile
37 ↗(On Diff #36343)

They install them uncompressed. Do you think I should patch it in cmake and use INSTALL_MAN instead? This is going to require more lines in the port.

graphics/drawpile/pkg-plist
14 ↗(On Diff #36343)

That's what they use. .svg files and translations certainly work.

yuri marked 4 inline comments as done.Dec 7 2017, 5:28 PM

As it installs to the normal path it should be compressed automatically.

yuri updated this revision to Diff 36345.Dec 7 2017, 6:11 PM

Made manpage to be automatically compressed.

yuri added a comment.Dec 7 2017, 6:13 PM

As it installs to the normal path it should be compressed automatically.

This looks like a bug in cmake that this INSTALL(FILES ${man1} DESTINATION "man/man1") installs uncompressed manpages.

mat added inline comments.Dec 7 2017, 11:22 PM
graphics/drawpile/Makefile
37 ↗(On Diff #36343)

You are missing the point, the framework will automatically compress man pages you do not need to do it yourself.

yuri marked an inline comment as done.Dec 8 2017, 1:55 AM
yuri added inline comments.
graphics/drawpile/Makefile
37 ↗(On Diff #36343)

Thanks! I didn't realize this.

yuri marked 2 inline comments as done.Dec 8 2017, 6:49 PM
yuri added a comment.Dec 9 2017, 11:18 PM

@tcberner Tobias, can this be committed?

tcberner accepted this revision.Dec 10 2017, 2:38 PM

It can indeed =)

This revision is now accepted and ready to land.Dec 10 2017, 2:38 PM
This revision was automatically updated to reflect the committed changes.